<?php

//phpinfo();
///*
require_once( dirname(__FILE__)."/../QRInformation.php" );
require_once( dirname(__FILE__)."/../QRMatrix.php" );

const QRMARGIN = 4;
const QRUNITSIZE = 4;

$qrMatrix = new CQRMatrix();
$qrMatrix->AddQRCharacters( "0123456" , QRCHARACTERTYPE_NUMERIC );
$qrMatrix->AddQRCharacters( "ABCDEFG" , QRCHARACTERTYPE_ALPHABET );
$qrMatrix->AddQRCharacters( "\nhttp://www.spoonsoftware.com\n" , QRCHARACTERTYPE_ASCII );

$kanji = mb_convert_encoding( "★☆★　ＱＲテストパターン　★☆★", "SJIS", "UTF-8" );
$qrMatrix->AddQRCharacters( $kanji , QRCHARACTERTYPE_KANJI );


$iErrorType = 0;
$png = null;

if( !$qrMatrix->MakeQRMatrix( COLLECTLEVEL_M, $iErrorType ) )
{
    $png = imagecreatefrompng( "noimage.png" );
}
else
{
    $pictSize = ($qrMatrix->GetModuleNumber() + QRMARGIN*2) * QRUNITSIZE;
    
    $png = imagecreate( $pictSize, $pictSize );
                       
    $backColor = imagecolorallocate( $png, 255, 255, 255 );
    $frontColor = imagecolorallocate( $png, 0, 0, 0 );
    
    //バックグラウンド塗りつぶし
    imagefilledrectangle( $png, 0, 0, $pictSize, $pictSize, $backColor );
    
    $iModuleNumber = $qrMatrix->GetModuleNumber();
    for( $iRowIndex = 0 ; $iRowIndex < $iModuleNumber ; $iRowIndex++ )
    {
        for( $iColumnIndex = 0 ; $iColumnIndex < $iModuleNumber ; $iColumnIndex++ )
        {
            //塗りつぶしポイントの場合
            if( $qrMatrix->IsDarkPoint( $iColumnIndex , $iRowIndex ) )
            {
                $x = ($iColumnIndex + QRMARGIN) * QRUNITSIZE;
                $y = ($iRowIndex    + QRMARGIN) * QRUNITSIZE;

                imagefilledrectangle( $png , $x , $y , $x + QRUNITSIZE , $y + QRUNITSIZE , $frontColor );
            }
        }
    }
}

header( "Content-type: image/png" );
imagepng( $png );
imagedestroy( $png );//*/

?>